Bug 1420266 (CVE-2016-10214) - CVE-2016-10214 virglrenderer: host memory leak issue in virgl_resource_attach_backing
Summary: CVE-2016-10214 virglrenderer: host memory leak issue in virgl_resource_attac...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-10214
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1420268
Blocks: 1408182
TreeView+ depends on / blocked
 
Reported: 2017-02-08 10:15 UTC by Prasad J Pandit
Modified: 2021-02-17 02:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:07:17 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-02-08 10:15:07 UTC
Virgil 3d project, used by Quick Emulator(Qemu) to implement 3D GPU support
for the virtio GPU, is vulnerable to memory leakage issue. It
could occur when a guest invokes a 'VIRTIO_GPU_CMD_RESOURCE_ATTACH_BACKING'
command.

A guest user/process could use this flaw to leak host memory leading to DoS.

Upstream patch:
---------------
  -> https://cgit.freedesktop.org/virglrenderer/commit/?id=40b0e7813325b08077b6f541b3989edb2d86d837

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/08/6

Comment 1 Prasad J Pandit 2017-02-08 10:15:18 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-02-08 10:16:04 UTC
Created virglrenderer tracking bugs for this issue:

Affects: fedora-all [bug 1420268]

Comment 3 Andrej Nemec 2017-02-09 12:43:08 UTC
CVE assignment:

http://seclists.org/oss-sec/2017/q1/349

Comment 4 Product Security DevOps Team 2019-06-08 03:07:17 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.